net.sf.jasperreports.engine.export

## Class Cut

- java.lang.Object
- - net.sf.jasperreports.engine.export.Cut

-     public class Cut
      extends java.lang.Object

  Utility class used by grid exporters to create a grid for page layout.
  Version:
    $Id: Cut.java 6090 2013-04-19 15:32:37Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `USAGE_BREAK`
    `static int` | `USAGE_NOT_EMPTY`
    `static int` | `USAGE_SPANNED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cut()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getProperty(java.lang.String name)`
    `int` | `getUsage()`
    `boolean` | `hasProperty(java.lang.String name)`
    `boolean` | `isCutNotEmpty()` Decides whether this cut is empty or not.
    `boolean` | `isCutSpanned()` Decides whether this cut is occupied by spanning cells or not.
    `void` | `setProperty(java.lang.String name, java.lang.Object value)`
    `void` | `setUsage(int usage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USAGE_NOT_EMPTY

          public static final int USAGE_NOT_EMPTY

      See Also:
        Constant Field Values

    - #### USAGE_SPANNED

          public static final int USAGE_SPANNED

      See Also:
        Constant Field Values

    - #### USAGE_BREAK

          public static final int USAGE_BREAK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Cut

          public Cut()

  - ### Method Detail

    - #### getUsage

          public int getUsage()

    - #### setUsage

          public void setUsage(int usage)

    - #### isCutNotEmpty

          public boolean isCutNotEmpty()

      Decides whether this cut is empty or not.
      Returns:
        `true` if and only if the cut is not empty

    - #### isCutSpanned

          public boolean isCutSpanned()

      Decides whether this cut is occupied by spanning cells or not.
      Returns:
        `true` if and only if the cut is not empty

    - #### hasProperty

          public boolean hasProperty(java.lang.String name)

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String name)

    - #### setProperty

          public void setProperty(java.lang.String name,
                         java.lang.Object value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com